classification
Title: Update pgo_build.bat to use --pgo flag for regrtest
Type: Stage: resolved
Components: Windows Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: brett.cannon, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2015-10-08 23:17 by brett.cannon, last changed 2016-01-12 07:32 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
windows_pgo.diff zach.ware, 2016-01-03 03:25 review
Messages (5)
msg252572 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-10-08 23:17
Should upgrade the command to do what is already occurring in the Makefile for consistency.
msg257393 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-01-03 03:25
Here's a patch that folds PGO into PCbuild\build.bat (removing PCbuild\build_pgo.bat) and defaults to using "python -m test --pgo" for training.  This should apply to all branches, but will need some slight adjustment for 2.7 (namely, s/-m test/-m test.regrtest/).  It might also be nice to leave a stub build_pgo.bat on 2.7 and 3.5 in case anyone actually uses it.

This patch also switches the default build environment to 'amd64' rather than 'x86_amd64' for -p x64 when it looks like it's running on a 64 bit OS.  PGO requires 'amd64' for 64 bit builds, and if x86_amd64 is available, 'amd64' should be as well.  'x86_amd64' is still used for non-PGO builds when -p x64 is specified and it looks like a 32 bit OS.  I considered switching the default platform target to x64 when running on 64 bit, but that's a separate issue.  It uses "%ProgramFiles(x86)"=="" to detect 32-bit, and gives a helpful message in the case of a false positive on that check.
msg257972 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-01-11 16:58
LGTM
msg258070 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-12 07:32
New changeset 113c524aed93 by Zachary Ware in branch '2.7':
Issue #25348: Add --pgo and --pgo-job flags to PCbuild\build.bat
https://hg.python.org/cpython/rev/113c524aed93

New changeset 01ab138f4133 by Zachary Ware in branch '3.5':
Issue #25348: Add --pgo and --pgo-job flags to PCbuild\build.bat
https://hg.python.org/cpython/rev/01ab138f4133

New changeset 9442b4a60379 by Zachary Ware in branch 'default':
Closes #25348: Merge with 3.5
https://hg.python.org/cpython/rev/9442b4a60379
msg258071 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-01-12 07:32
Thanks for the review, Steve.
History
Date User Action Args
2016-01-12 07:32:40zach.waresetassignee: brett.cannon -> zach.ware
messages: + msg258071
2016-01-12 07:32:04python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg258070

resolution: fixed
stage: patch review -> resolved
2016-01-11 16:58:24steve.dowersetmessages: + msg257972
2016-01-03 03:25:29zach.waresetfiles: + windows_pgo.diff
versions: + Python 2.7, Python 3.5
messages: + msg257393

keywords: + patch
stage: patch review
2015-10-08 23:17:24brett.cannoncreate